## Overview

This easy step by step guide will lead you through the procedure to boot your UDOO for the very first time.


## What do you need?

<img src="../img/whatdoyouneed1.png">

To use UDOO NEO as a computer you need:

- [UDOO NEO](http://shop.udoo.org/neo.html);
- Micro SD card (at least 8GB), eventually [preloaded with the Operating System](http://shop.udoo.org/eu/catalog/product/view/id/43/s/micro-sd-with-pre-loaded-linux-os-for-neo-extended-full/category/5/);
- [12V 2A Power supply](http://shop.udoo.org/accessories/power-adapter-eu.html) or USB Wall Charger 5V with Micro USB Data Cable;  
- HDMI monitor or TV;
- Mouse;
- Keyboard;
- USB HUB or Host OTG Adapter Cable to add a second USB port (optional).

To use UDOO Neo as a headless IoT device you need:
- [UDOO NEO](http://shop.udoo.org/neo.html);
- Micro SD card (at least 8GB), eventually [preloaded with the Operating System](http://shop.udoo.org/eu/catalog/product/view/id/43/s/micro-sd-with-pre-loaded-linux-os-for-neo-extended-full/category/5/);
- [12V 2A Power supply](http://shop.udoo.org/accessories/power-adapter-eu.html) or USB Wall Charger 5V with Micro USB Data Cable.  

## 1. Download UDOO Neo’s official Operating system:

The main “Hard Drive” of UDOO NEO is the Micro SD card. In order to get started you just need to download the official UDOObuntu Operating System and write it to your Micro SD card.
- Download any official Micro SD image from the [image section of the website](http://www.udoo.org/downloads/).

## 2. Burn UDOO Neo OS

<img src="../img/distros1.png">

Follow the guide to <a href="Create_a_bootable_MicroSD_card_for_UDOO_Neo.html">create a bootable Micro SD card for UDOO NEO.</a>


## 3. Insert the Micro SD card and power up!

<img src="../img/neo_microsd1.png">

- Insert into your UDOO Neo the Micro SD card you just prepared
- Plug Keyboard and Mouse
- Connect your monitor via Micro HDMI Cable
- Power up the board via a USB to Micro USB cable connected to a computer, through a power adapter or through a 5V USB Wall Charger.
- Connect the LAN cable (optional);


## 4. Ready!
UDOO Neo will start, and you’ve plenty of options to use it:

 * <a href="Use_as_a_Lightweight_Desktop_PC.html">Use UDOO Neo as a lightweight Desktop PC and developing platform</a>
 * <a href="Use_as_a_headless_IoT_Device.html">Use UDOO Neo as a headless IoT device</a>
 * <a href="Use_as_an_Arduino.html">Use UDOO Neo as an Arduino</a>
